# Generated by Django 2.1.7 on 2019-02-27 13:55

from django.db import migrations, models


def migrate_names(apps, schema_editor):
    """migrate first_name and last_name to name"""
    User = apps.get_model("passbook_core", "User")
    for user in User.objects.all():
        user.name = '%s %s' % (user.first_name, user.last_name)
        user.save()

class Migration(migrations.Migration):

    dependencies = [
        ('passbook_core', '0015_passwordpolicy_error_message'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='name',
            field=models.TextField(default=''),
            preserve_default=False,
        ),
        migrations.RunPython(migrate_names),
        migrations.AlterField(
            model_name='user',
            name='name',
            field=models.TextField(),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='fieldmatcherpolicy',
            name='user_field',
            field=models.TextField(choices=[('username', 'Username'), ('name', 'Name'), ('email', 'E-Mail'), ('is_staff', 'Is staff'), ('is_active', 'Is active'), ('data_joined', 'Date joined')]),
        ),
    ]
